OpenShot Audio Library | OpenShotAudio: juce::MPEInstrument::Listener Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::MPEInstrument::Listener Class Reference

`#include <juce_MPEInstrument.h>`

Inheritance diagram for juce::MPEInstrument::Listener:

## Public Member Functions
virtual | ~Listener ()=default
virtual void | noteAdded (MPENote newNote)
virtual void | notePressureChanged (MPENote changedNote)
virtual void | notePitchbendChanged (MPENote changedNote)
virtual void | noteTimbreChanged (MPENote changedNote)
virtual void | noteKeyStateChanged (MPENote changedNote)
virtual void | noteReleased (MPENote finishedNote)
virtual void | zoneLayoutChanged ()

## Detailed Description

Derive from this class to be informed about any changes in the MPE notes played by this instrument, and any changes to its zone layout.

Note: This listener type receives its callbacks immediately, and not via the message thread (so you might be for example in the MIDI thread). Therefore you should never do heavy work such as graphics rendering etc. inside those callbacks.

Definition at line 259 of file juce_MPEInstrument.h.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual juce::MPEInstrument::Listener::~Listener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ noteAdded()

void juce::MPEInstrument::Listener::noteAdded | ( | MPENote | newNote | ) |
| virtual

Implement this callback to be informed whenever a new expressive MIDI note is triggered.

Reimplemented in juce::MPESynthesiser.

Definition at line 857 of file juce_MPEInstrument.cpp.

Referenced by juce::MPEInstrument::noteOn(), and ~Listener().

## ◆ noteKeyStateChanged()

void juce::MPEInstrument::Listener::noteKeyStateChanged | ( | MPENote | changedNote | ) |
| virtual

Implement this callback to be informed whether a currently playing MPE note's key state (whether the key is down and/or the note is sustained) has changed.

Note: If the key state changes to MPENote::off, noteReleased is called instead.

Reimplemented in juce::MPESynthesiser.

Definition at line 861 of file juce_MPEInstrument.cpp.

Referenced by juce::MPEInstrument::noteOff(), and ~Listener().

## ◆ notePitchbendChanged()

void juce::MPEInstrument::Listener::notePitchbendChanged | ( | MPENote | changedNote | ) |
| virtual

Implement this callback to be informed whenever a currently playing MPE note's pitchbend value changes.

Note: This can happen if the note itself is bent, if there is a master channel pitchbend event, or if both occur simultaneously. Call MPENote::getFrequencyInHertz to get the effective note frequency.

Reimplemented in juce::MPESynthesiser.

Definition at line 859 of file juce_MPEInstrument.cpp.

Referenced by ~Listener().

## ◆ notePressureChanged()

void juce::MPEInstrument::Listener::notePressureChanged | ( | MPENote | changedNote | ) |
| virtual

Implement this callback to be informed whenever a currently playing MPE note's pressure value changes.

Reimplemented in juce::MPESynthesiser.

Definition at line 858 of file juce_MPEInstrument.cpp.

Referenced by ~Listener().

## ◆ noteReleased()

void juce::MPEInstrument::Listener::noteReleased | ( | MPENote | finishedNote | ) |
| virtual

Implement this callback to be informed whenever an MPE note is released (either by a note-off message, or by a sustain/sostenuto pedal release for a note that already received a note-off), and should therefore stop playing.

Reimplemented in juce::MPESynthesiser.

Definition at line 862 of file juce_MPEInstrument.cpp.

Referenced by juce::MPEInstrument::noteOff(), juce::MPEInstrument::noteOn(), juce::MPEInstrument::releaseAllNotes(), and ~Listener().

## ◆ noteTimbreChanged()

void juce::MPEInstrument::Listener::noteTimbreChanged | ( | MPENote | changedNote | ) |
| virtual

Implement this callback to be informed whenever a currently playing MPE note's timbre value changes.

Reimplemented in juce::MPESynthesiser.

Definition at line 860 of file juce_MPEInstrument.cpp.

Referenced by ~Listener().

## ◆ zoneLayoutChanged()

void juce::MPEInstrument::Listener::zoneLayoutChanged | ( |  | ) |
| virtual

Implement this callback to be informed whenever the MPE zone layout or legacy mode settings of this instrument have been changed.

Definition at line 863 of file juce_MPEInstrument.cpp.

Referenced by juce::MPEInstrument::enableLegacyMode(), juce::MPEInstrument::setLegacyModeChannelRange(), juce::MPEInstrument::setLegacyModePitchbendRange(), juce::MPEInstrument::setZoneLayout(), and ~Listener().

The documentation for this class was generated from the following files:

- juce_MPEInstrument.h
- juce_MPEInstrument.cpp